;  Program Written in HAL85
#include ti-85.h
#define TI85-ZSHELL
MAX_X = 127
MAX_Y = 63
MAX_COL = 20
MAX_ROW = 7
  .org 0
  .db "pt_on test",0
  SET 0,(IY+03)
; CODE
; line 1 :  page 4
  LD A,4
  OUT (5),A
; line 2 :  clrgraph_on
  SET 0,(IY+03)
; line 3 :  cls
  ROM_CALL(CLEARLCD)
; line 4 :  byte x
var_x  =  GRAPH_MEM + 0
; line 5 :  byte y
var_y  =  GRAPH_MEM + 1
; line 6 :  for y = 1 to 64
  LD A,1
  LD (var_y),A
forloop_0:
; line 7 :    for x = 1 to 128
  LD A,1
  LD (var_x),A
forloop_1:
; line 8 :      pt_on x y
  LD A,(var_x)
  LD B,A
  LD A,(var_y)
  LD C,A
  CALL_(sys_PutPixel);
; line 9 :    next
  LD A,(var_x)
  INC A
  LD (var_x),A
  DEC A
  LD D,A
  LD A,128
  CP D
  JUMP_NZ(forloop_1)
; line 10 :  next
  LD A,(var_y)
  INC A
  LD (var_y),A
  DEC A
  LD D,A
  LD A,64
  CP D
  JUMP_NZ(forloop_0)
; line 11 :  waitkey
sys_loop2:
  HALT
  CALL GET_KEY
  OR A
  jr z,sys_loop2
  RET
; DATA
sys_PutPixel:
        ROM_CALL(FIND_PIXEL)
        ld     de,$FC00
        add    hl,de
        or     (HL)
        ld     (HL),a
  RET
  .end
